Bug 991205 - RFE: On Docbuilder result list page, Link to CSP map ID should open topic, not the book
RFE: On Docbuilder result list page, Link to CSP map ID should open topic, no...
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Casperson
sgilda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 16:20 EDT by sgilda
Modified: 2014-08-04 18:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 22:43:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sgilda 2013-08-01 16:20:42 EDT
Description of problem:

When you click on 'Docbuilder', it provides a nice filtered list of all the content specs. There are 4 columns (ID, Product, Version, and Title) that all link to the compiled book. I find 4 links to the same URL to be somewhat confusing.

When I click on the ID column, I am always surprised when it opens the compiled book instead of opening the topic ID for that content spec in edit mode.
I often use this page to find the content spec I need to modify. I have to find and note the ID of the correct version of the content spec for the book I need to modify, then enter the topic ID in the "Search" input box, click Search, then select it to edit it. It would be nice to be able to click on that ID and have it open in "Edit" mode.

I also think the content spec list would be cleaner and clearer if only the Title was linkable to to compiled book. Having multiple links to the same thing seems odd to me. :-)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Matthew Casperson 2013-08-06 18:25:13 EDT
Fixed. You can now click the id to be taken to the content spec in the CCMS UI.
Comment 2 sgilda 2013-08-06 22:38:05 EDT
Matt. You are amazing!!! Thanks!

Tested and works great. Marking it verified!

Note You need to log in before you can comment on or make changes to this bug.